Search documentation of ExStreamClient

# ExStreamClient.Model.LayoutSettings (ExStreamClient v0.1.10)

View Source

Schema representing a LayoutSettings

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.LayoutSettings{
      detect_orientation: boolean() | nil,
      external_app_url: String.t(),
      external_css_url: String.t(),
      name: :custom | :mobile | :"single-participant" | :grid | :spotlight,
      options: %{optional(String.t()) => any()} | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()